< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- AkamaiReputation
- Authorization
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- ForwardedFor
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestChain
- RequestEntityTooLargeException
- RequestId
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionId
- SessionKeys
- StringContextOps
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException

o

uk.gov.hmrc.http

# HeaderNames 

###

#### object HeaderNames

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HeaderNames
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val akamaiReputation: String
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val authorisation: String
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  val deviceID: String
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  val explicitlyIncludedHeaders: Seq[String]
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val googleAnalyticTokenId: String
15.  val googleAnalyticUserId: String
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  val otacAuthorization: String
22.  val surrogate: String
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  val trueClientIp: String
26.  val trueClientPort: String
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  val xForwardedFor: String
31.  val xRequestChain: String
32.  val xRequestId: String
33.  val xRequestTimestamp: String
34.  val xSessionId: String

### Inherited from AnyRef

### Inherited from Any

### Ungrouped